Bug 114044 - khubd segfaults when USB to serial converter disconnected
khubd segfaults when USB to serial converter disconnected
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-21 15:15 EST by Tom Wood
Modified: 2007-04-18 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages snippet of segfault (2.49 KB, text/plain)
2004-01-21 15:16 EST, Tom Wood
no flags Details
New kernel oops (4.95 KB, text/plain)
2004-01-22 10:25 EST, Tom Wood
no flags Details

  None (edit)
Description Tom Wood 2004-01-21 15:15:55 EST
Description of problem: khubd segfaults when Keyspan USA-49W USB to 4
port serial converter disconnected while serial device(s) attached to
it are transmitting/receiving data


Version-Release number of selected component (if applicable):
kernel-2.4.20-28.9



How reproducible: every time


Steps to Reproduce:
1.  Attach a Keyspan USA-49W or USA-49WLC 4 port USB to serial
converter to a RHL box.
2.  Attach serial device(s) to the Keyspan.
3.  Disconnect Keyspan from USB port on computer while devices passing
data.
4.  Watch segfault that disables Keyspan until reboot.
  
Actual results:
segfault


Expected results:
hotplug deregisters device until replugged, then all is back
functioning normally


Additional info:
Comment 1 Tom Wood 2004-01-21 15:16:48 EST
Created attachment 97150 [details]
/var/log/messages snippet of segfault
Comment 2 Pete Zaitcev 2004-01-21 15:46:42 EST
Tom, does FC1 do same? You can install just the kernel, it is
mostly compatible with RHL 9. Make sure to get 2.4.22-1.2140 or later.
Comment 3 Tom Wood 2004-01-22 10:25:22 EST
Created attachment 97168 [details]
New kernel oops

kernel oops with fc1 2149 kernel.
Comment 4 Tom Wood 2004-01-22 10:26:10 EST
Using kernel-2.4.22-1.2149.nptl, the behavior is more robust.  A
segfault still occurs, this time in apd, but hotplug seems to work. 
See new attachment for the oops.
Comment 5 Pete Zaitcev 2004-01-22 11:09:40 EST
Tom, please grab full dmesg after the crash and attach it
(for two things - debug messages & general box setup like SMP)
Comment 6 Bugzilla owner 2004-09-30 11:41:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.